
# prom-loki

this repo is a clone of [loki-stack](https://github.com/grafana/helm-charts/tree/main/charts/loki-stack)
helm chart - with fixed dependency versions and a more fitting `values.yaml`.

## RUNNING FOR DEVELOPMENT

the easiest way to test the stack is to run it on your own local minikube
cluster.

very important that we use a kubernetes version <1.25 (some api features we
need are now deprecated):
```
$ minikube start --kubernetes-version=1.23.5
$ minikube addons enable ingress
```

some basic cluster setup commands
```
$ kubectl create namespace monitoring
```

to access the grafana web ui, we need a host to resolve to. we can just modify
our `/etc/hosts` to fudge the dns. first note the output from:
```
$ minikube ip
```

and add the entry to `/etc/hosts`:
```
[minikube ip] [domain]
```

we can now install the helm chart
```
$ helm dependency build
$ helm install -f values.yaml -n monitoring prom-loki .
```

## TODO

- [ ] tls
- [ ] alertmanager on irc

## RESOURCES

`values.yml` reference for sub charts:
- [prometheus](https://github.com/prometheus-community/helm-charts/blob/main/charts/prometheus/values.yaml)
- [grafana](https://github.com/grafana/helm-charts/blob/main/charts/grafana/values.yaml)
- [loki](https://github.com/grafana/helm-charts/blob/main/charts/loki/values.yaml)

